var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconUploadingPngComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? false : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-uploading-png").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : 'none', viewBox: "0 0 32 32" }, rest, { ref: ref }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#7883DB', fillRule: "evenodd", d: "M8 2a4 4 0 0 0-4 4v20a4 4 0 0 0 4 4h16a4 4 0 0 0 4-4V12L18 2H8Z", clipRule: "evenodd" }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#fff', d: "M11.315 17.855a.5.5 0 0 1 .895 0l1.533 3.065-2.02 4.04h-3.15a.5.5 0 0 1-.448-.723l3.19-6.382Z", opacity: ".8" }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#fff', d: "m12.925 24.236 4.79-9.582a.5.5 0 0 1 .895 0l4.79 9.582a.5.5 0 0 1-.446.724h-9.582a.5.5 0 0 1-.447-.724Z" }),
        React.createElement("circle", { cx: "11.603", cy: "11.52", r: "2.24", fill: useCurrentColor ? 'currentColor' : '#fff', opacity: ".8" }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#BBC1ED', d: "m18 2 10 10h-6a4 4 0 0 1-4-4V2Z" }));
}
var IconUploadingPng = React.forwardRef(IconUploadingPngComponent);
export default IconUploadingPng;
